KDE 4.7 PyKDE API Reference

- KDE's Python API

# GroupBox Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsProxyWidget → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

GroupBox plasma/widgets/groupbox.h <Plasma/Widgets/GroupBox>

Provides a plasma-themed QGroupBox.

## Methods
| __init__ (self, QGraphicsWidget parent=0)
| changeEvent (self, QEvent event)
QGroupBox | nativeWidget (self)
| resizeEvent (self, QGraphicsSceneResizeEvent event)
| setStyleSheet (self, QString stylesheet)
| setText (self, QString text)
QString | styleSheet (self)
QString | text (self)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

changeEvent | ( | self, |
|  | QEvent | event
| ) |  |  |

QGroupBox nativeWidget | ( |  | self ) |

Returns:
  the native widget wrapped by this GroupBox

resizeEvent | ( | self, |
|  | QGraphicsSceneResizeEvent | event
| ) |  |  |

setStyleSheet | ( | self, |
|  | QString | stylesheet
| ) |  |  |

Sets the stylesheet used to control the visual display of this GroupBox

Parameters:

  | stylesheet | a CSS string

setText | ( | self, |
|  | QString | text
| ) |  |  |

Sets the display text for this GroupBox

Parameters:

  | text | the text to display; should be translated.

QString styleSheet | ( |  | self ) |

Returns:
  the stylesheet currently used with this widget

QString text | ( |  | self ) |

Returns:
  the display text